#Hedge Maze treasure 2
from eventAPI import *
from APIUtils import *

rthedgemazechest2 = 0

def fireEvent(e):
   global rthedgemazechest2
   rthedgemazechest2 = getTag(e, "rthedgemazechest2")
   if (rthedgemazechest2 == 1):
      return 1
   else:
      showMessage(e, ["You notice a small hole at the base of the hedge", "", "Inside you find a locked box."])
      chest(e, 2, 20, dice(500, 4, 1), ["Alchemy Textbook"], dice(1, 4, 1), "Treasure")
   rthedgemazechest2 = 1
   setTag(e, "rthedgemazechest2", rthedgemazechest2)
   return 1